#include "sample.h"

EXPORT
double func1(double x) {
    return 2*sin(x);
}

EXPORT
double func2(double x, double y) {
   return 2*hypot(x, y);
}

EXPORT
TAG func3(int n) {
   TAG s;
   s.i = n;
   s.f = n;
   return s;
}

EXPORT
TAG func4(int n) {
   TAG s;
   s.i = 2*n;
   s.f = 2*n;
   return s;
}

EXPORT
int func5(FUNPTR fp, int n) {
   fp(n);
   return 2*n;
}
